dropline GNOME 2.28 and contributions

View: New views
20 Messages — Rating Filter:   Alert me  
< Prev | 1 - 2 | Next >

dropline GNOME 2.28 and contributions

by Sasa Ostrouska :: Rate this Message:

Reply to Author | View Threaded | Show Only this Message

Hi !

All of you out there who want to contribute to the project and you are
very welcome if you want to do it, are pleased
to read and use the following guidelines.

1) Building platform:
Slackware 13.0 and Slackware64 13.0

2) DBS (dropline-build-system):
We will use the trunk of the dropline-build-system we have on sf.net
svn server. To check it out please execute
the following command:

"svn co http://dropline-gnome.svn.sourceforge.net/svnroot/dropline-gnome/dbs/trunk
dropline-build-system"

3) Wiki page, which will reflect what we are doing will be here:

http://sourceforge.net/apps/trac/dropline-gnome/wiki/DroplineGnome2_28

If you have write access, please submit your patch by doing svn diff
in your $DBS_ROOT to this mailing list so we
can discuss about it, and if everything ok do a svn commit.

If you build a package also please update it in the above mentioned
wiki page and put in the link of your download location.

Also for the build order, would be good to follow strictly what is in
the ftp.gnome.org under dir 2.28.0 platform, bindings, desktop, admin
and other dirs.

4) If we will have enough people working on this would be good to use
our initial system of building the packages.
This was consisting of a developer build and maintain a certain number
of packages. If we do it that way this will
speed up the process and we will end up with all the work done more quickly.

5) One thing comes to my mind is the .txz extension which at the
moment is not supported or working in DBS. Would be
good if somebody can go ahead and prepare a fix for this. I know some
people were working on that already.

6) If possible would be good also to have a restructuring of the DBS
continue forward as discussed in here some time ago already.

7) dropline-installer would need a ton of fixes which would be nice if
we can go ahead with it also.

Thats some points which I would like to see we can follow.

If you have any suggestions please go ahead and reply.

Rgds
Saxa

------------------------------------------------------------------------------
Let Crystal Reports handle the reporting - Free Crystal Reports 2008 30-Day
trial. Simplify your report design, integration and deployment - and focus on
what you do best, core application coding. Discover what's new with
Crystal Reports now.  http://p.sf.net/sfu/bobj-july
_______________________________________________
Dropline-gnome-devel mailing list
Dropline-gnome-devel@...
https://lists.sourceforge.net/lists/listinfo/dropline-gnome-devel

Re: dropline GNOME 2.28 and contributions

by shadowx :: Rate this Message:

Reply to Author | View Threaded | Show Only this Message

I have made few changes to add support of the new package types [txz,tbz,tlz]. And made few minior fixes.

Here are the patches:

p.s.: patches and patched files can be found at: http://gh0st.darknet.co.nz/dropline/


--- build.orig 2009-08-07 11:12:13.268767412 +0300
+++ build 2009-08-08 20:17:49.038766145 +0300
@@ -198,13 +198,15 @@
       build_package $PKG
       if [[ "$rebuild_answer" == "y" || $ALREADY_INSTALLED -ne 0 ]]; then
         echo "Installing/Upgrading $PKG"
-        upgradepkg --reinstall --install-new ${DLG_PACKAGEROOT}/${NAME}-${VERSION}-*-${REVISION}*.tgz
+        upgradepkg --reinstall --install-new ${DLG_PACKAGEROOT}/${NAME}-${VERSION}-*-${REVISION}*.${DLG_PKGTYPE}
       fi
     done
 
     echo "Finished meta-package $META"
 }
 
+DLG_PKGTYPE=${DLG_PKGTYPE:-"txz"}
+
 if [[ "$1" == "-meta" || "$1" == "-m" ]]; then
     build_meta $2
 else






--- buildall.sh.orig 2009-08-07 11:12:13.309767213 +0300
+++ buildall.sh 2009-08-08 20:25:44.327766475 +0300
@@ -10,6 +10,14 @@
 #
 # ---- ChangeLog ----
 #
+# * version 0.1.5 - 08-08-2009
+#
+# Added support for the new slackware packages [txz,tbz,tlz]
+# Fix an issue with skipping of files while reading compile-order list.
+# Changes to upgradepkg prcedure:
+#  * fixing bug with packages with revision > 9
+#  * added $DLG_PKGER to upgradepkg procedure. Fixing bug if $DLG_PKGER != dl.
+#
 # * version 0.1.4 - 24-04-2009
 #
 # Corrected the bug of double install of packages with same partial names in
@@ -83,15 +91,6 @@
 # exit 1
 #fi
 
-function get_pkg_name()
-{
- PKG_NAME=`head -n1 $BUILD_LIST`
- echo $PKG_NAME
- if [ "$PKG_NAME" == "" ]; then
- exit 1
- fi
-
-}
 
 function check_installed_pkg()
 {
@@ -103,14 +102,6 @@
  local installedpkg=`echo $installedpkg | cut -d " " -f1`
  fi
 
- if [ "$PKG_NAME" == "$installedpkg" ]; then
- update_bld_list
- get_pkg_name
-# else
-# echo "There is no package named $installedpkg in /var/log/packages !"
-# return 0
-# exit 1
- fi
  cd $DLG_ROOT
 }
 
@@ -122,7 +113,7 @@
  echo "|                                                       |"
  echo "---------------------------------------------------------"
 
- ($BUILD_CMD $PKG_NAME) || exit 1
+ ($BUILD_CMD $PKG_NAME) || exit 1
 
 }
 
@@ -134,19 +125,11 @@
  echo "|                                                       |"
  echo "---------------------------------------------------------"
 
- $UPGRADEPKG ${PKGS_DIR}/${PKG_NAME}-*-*-[0-9]dl.tgz 2>/dev/null
+ $UPGRADEPKG ${DLG_PACKAGEROOT}/${PKG_NAME}-*-*-*${DLG_PKGER}.${DLG_PKGTYPE} 2>/dev/null
  #$UPGRADEPKG ${PKGS_DIR}/${PKG_NAME}-${PKG_VERSION}-${DLG_ARCH}-[0-9]dl.tgz 2>/dev/null
 
 }
 
-function update_bld_list()
-{
- local tmp_build_list="$DLG_ROOT/tmp_list.txt"
- sed -e '1d' $BUILD_LIST > $tmp_build_list
- rm $BUILD_LIST
- cp $tmp_build_list $BUILD_LIST
-}
-
 function log_built_pkg()
 {
  local time=`date "+%Y-%m-%d %H:%M:%S"`
@@ -170,6 +153,8 @@
 UPGRADEPKG='/sbin/upgradepkg --reinstall --install-new'
 LOGFILE=`touch $DLG_ROOT/buildall_log.txt`
 #PKG_VERSION="not null"
+DLG_PKGER=${DLG_PKGER:-"dl"}
+DLG_PKGTYPE=${DLG_PKGTYPE:-"txz"}
 PKG_NAME="1"
 
 # Include the DBS config variables.
@@ -178,20 +163,19 @@
 
 # We need to backup the build order to not loose it.
 BUILD_LIST="$DLG_ROOT/compile-order-tmp"
-cp $BUILD_ORDER $BUILD_LIST
 # After that we clean the build order from the commented lines
 grep -v '^#' $BUILD_ORDER > $BUILD_LIST
 
-while [ "$PKG_NAME" != "" ]; do
- get_pkg_name
+while read PKG_NAME; do
+ if [ $PKG_NAME == "" ] || [ $PKG_NAME == 'EOF' ]; then
+    exit 0
+ fi
+
  check_installed_pkg
 # if [ -z check_installed_pkg ]; then
  build_pkg
  log_built_pkg
  pkg_install
  log_installed_pkg
- update_bld_list
 # fi
-done
-
-
+done < $BUILD_LIST










--- config.orig 2009-08-07 11:12:13.311767534 +0300
+++ config 2009-08-08 20:37:44.149777938 +0300
@@ -209,3 +209,8 @@
 ##   specific cousin named PKG_SFMIRROR.
 ##
 #DLG_SFMIRROR="easynews"
+
+## DLG_PKGTYPE - This is the package type that the dropline build system will
+##    generate. Supported types are: txz, tbz, tlz
+##    Default: txz
+#DLG_PKGTYPE="txz"










--- SCRIPTS/dropline-files-update.sh.orig 2009-08-08 20:42:14.000000000 +0300
+++ SCRIPTS/dropline-files-update.sh 2009-08-08 20:15:36.068891659 +0300
@@ -88,9 +88,9 @@
 count=${#OldFileList[@]}
 
 
-for file in *.tgz
+for file in *.t[xbl]z
 do
- if [ "$file" == "*.tgz" ]; then
+ if [ "$file" == "*.txz" ] || [ "$file" == "*.tlz"] || [ "$file" == "*.tbz"]; then
  continue;
  fi
 # filename=`echo "$file" | cut -f 1 -d '.' | sed -e 's/-[0-9]//g'`










--- SCRIPTS/dropline-functions.sh.orig 2009-08-08 20:42:14.000000000 +0300
+++ SCRIPTS/dropline-functions.sh 2009-08-08 20:13:48.268890901 +0300
@@ -1,8 +1,10 @@
 # (c)2004-2007 Dagmar d'Surreal and the Dropline Gnome Project
 # Date: September 20th, 2007.
-# Version: 0.99.9
+# Version: 0.99.10
 
 # Changelog:
+#  0.99.10 - Added support for the new slackware packages [.tbz,tlz,txz]
+#
 #  0.99.9 - Changed tidydocumentation() a little so that it moves entire
 #    directories that are under /usr/share/doc or /usr/doc which are not DOCDIR
 #    into named subdirectories of DOCDIR (important to libxml2).
@@ -591,9 +593,9 @@
     tmp_arch="noarch"
   fi
   if [ -n "$PKG_SUBPACKAGE" ]; then
-    local filename="$PKG_SUBPACKAGE-$VERSION-$tmp_arch-$REVISION$DLG_PKGER.tgz"
+    local filename="$PKG_SUBPACKAGE-$VERSION-$tmp_arch-$REVISION$DLG_PKGER.$DLG_PKGTYPE"
   else
-    local filename="$NAME-$VERSION-$tmp_arch-$REVISION$DLG_PKGER.tgz"
+    local filename="$NAME-$VERSION-$tmp_arch-$REVISION$DLG_PKGER.$DLG_PKGTYPE"
   fi
 
   local oldpwd=`pwd`
@@ -637,7 +639,7 @@
 
   releasescripts
 
-  command="makepkg$prepend --linkadd $rmlinks --chown $chown $filename"
+  command="makepkg$prepend --linkadd $rmlinks --chown $chown $PKG_PACKAGEROOT/$filename"
   cd $PKG_STAGEROOT
   loggedcommand packagize${PKG_SUBPACKAGE:+"-$PKG_SUBPACKAGE"} "$command"
   status=$?
@@ -778,19 +780,19 @@
 ##   place and make the necessary signing files.
 ##
 stowpackage() {
-  local package=${1:-"$NAME-$VERSION-$PKG_ARCH-$REVISION$DLG_PKGER.tgz"}
+  local package=${1:-"$NAME-$VERSION-$PKG_ARCH-$REVISION$DLG_PKGER.$DLG_PKGTYPE"}
   local oldpwd=`pwd`
 
   set_title "$NAME-$VERSION-$REVISION: Storing release candidate package..."
 
   spew 3 "Relocating package to $PKG_PACKAGEROOT..."
   createdir $PKG_PACKAGEROOT
-  cd $PKG_STAGEROOT
-  spewdo "mv -f $package $PKG_PACKAGEROOT"
-  status=$?
-  if [ $status != 0 ]; then
-    die "Moving the package to $PKG_PACKAGEROOT exited with status $status!"
-  fi
+#  cd $PKG_STAGEROOT
+#  spewdo "mv -f $package $PKG_PACKAGEROOT"
+#  status=$?
+#  if [ $status != 0 ]; then
+#    die "Moving the package to $PKG_PACKAGEROOT exited with status $status!"
+#  fi
 
   spew 3 "Generating md5sum for $package"
   cd $PKG_PACKAGEROOT
@@ -2330,7 +2332,7 @@
 DLG_SRCREL=${DLG_SRCREL:-"."}
 DLG_SFMIRROR=${DLG_SFMIRROR:-"easynews"}
 DLG_SOURCEREPOS=${DLG_SOURCEREPOS:-"/home/Slackware/SOURCES/gnome /space/tarballs"}
-
+DLG_PKGTYPE=${DLG_PKGTYPE:-"txz"}
 # Defaults which are null by default.
 #DLG_MAKEFLAGS=
 #DLG_DISABLESMP=




Sasa Ostrouska wrote:
Hi !

All of you out there who want to contribute to the project and you are
very welcome if you want to do it, are pleased
to read and use the following guidelines.

1) Building platform:
Slackware 13.0 and Slackware64 13.0

2) DBS (dropline-build-system):
We will use the trunk of the dropline-build-system we have on sf.net
svn server. To check it out please execute
the following command:

"svn co http://dropline-gnome.svn.sourceforge.net/svnroot/dropline-gnome/dbs/trunk
dropline-build-system"

3) Wiki page, which will reflect what we are doing will be here:

http://sourceforge.net/apps/trac/dropline-gnome/wiki/DroplineGnome2_28

If you have write access, please submit your patch by doing svn diff
in your $DBS_ROOT to this mailing list so we
can discuss about it, and if everything ok do a svn commit.

If you build a package also please update it in the above mentioned
wiki page and put in the link of your download location.

Also for the build order, would be good to follow strictly what is in
the ftp.gnome.org under dir 2.28.0 platform, bindings, desktop, admin
and other dirs.

4) If we will have enough people working on this would be good to use
our initial system of building the packages.
This was consisting of a developer build and maintain a certain number
of packages. If we do it that way this will
speed up the process and we will end up with all the work done more quickly.

5) One thing comes to my mind is the .txz extension which at the
moment is not supported or working in DBS. Would be
good if somebody can go ahead and prepare a fix for this. I know some
people were working on that already.

6) If possible would be good also to have a restructuring of the DBS
continue forward as discussed in here some time ago already.

7) dropline-installer would need a ton of fixes which would be nice if
we can go ahead with it also.

Thats some points which I would like to see we can follow.

If you have any suggestions please go ahead and reply.

Rgds
Saxa

------------------------------------------------------------------------------
Let Crystal Reports handle the reporting - Free Crystal Reports 2008 30-Day
trial. Simplify your report design, integration and deployment - and focus on
what you do best, core application coding. Discover what's new with
Crystal Reports now.  http://p.sf.net/sfu/bobj-july
_______________________________________________
Dropline-gnome-devel mailing list
Dropline-gnome-devel@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/dropline-gnome-devel

Re: dropline GNOME 2.28 and contributions

by Sasa Ostrouska :: Rate this Message:

Reply to Author | View Threaded | Show Only this Message

Great seems ok to me. If nobody oposes I will commit this into trunk.

Rgds
Saxa

On Sat, Aug 8, 2009 at 7:53 PM, shadowx<shadowx@...> wrote:

>
> I have made few changes to add support of the new package types
> [txz,tbz,tlz].
>
> Here are the patches:
>
> p.s.: patches and patched files can be found at:
> http://gh0st.darknet.co.nz/dropline/
>
>
> --- build.orig  2009-08-07 11:12:13.268767412 +0300
> +++ build       2009-08-08 20:17:49.038766145 +0300
> @@ -198,13 +198,15 @@
>       build_package $PKG
>       if [[ "$rebuild_answer" == "y" || $ALREADY_INSTALLED -ne 0 ]]; then
>         echo "Installing/Upgrading $PKG"
> -        upgradepkg --reinstall --install-new
> ${DLG_PACKAGEROOT}/${NAME}-${VERSION}-*-${REVISION}*.tgz
> +        upgradepkg --reinstall --install-new
> ${DLG_PACKAGEROOT}/${NAME}-${VERSION}-*-${REVISION}*.${DLG_PKGTYPE}
>       fi
>     done
>
>     echo "Finished meta-package $META"
>  }
>
> +DLG_PKGTYPE=${DLG_PKGTYPE:-"txz"}
> +
>  if [[ "$1" == "-meta" || "$1" == "-m" ]]; then
>     build_meta $2
>  else
>
>
>
>
>
>
> --- buildall.sh.orig    2009-08-07 11:12:13.309767213 +0300
> +++ buildall.sh 2009-08-08 20:25:44.327766475 +0300
> @@ -10,6 +10,14 @@
>  #
>  # ---- ChangeLog ----
>  #
> +# * version 0.1.5 - 08-08-2009
> +#
> +# Added support for the new slackware packages [txz,tbz,tlz]
> +# Fix an issue with skipping of files while reading compile-order list.
> +# Changes to upgradepkg prcedure:
> +#  * fixing bug with packages with revision > 9
> +#  * added $DLG_PKGER to upgradepkg procedure. Fixing bug if $DLG_PKGER !=
> dl.
> +#
>  # * version 0.1.4 - 24-04-2009
>  #
>  # Corrected the bug of double install of packages with same partial names
> in
> @@ -83,15 +91,6 @@
>  #      exit 1
>  #fi
>
> -function get_pkg_name()
> -{
> -       PKG_NAME=`head -n1 $BUILD_LIST`
> -       echo $PKG_NAME
> -       if [ "$PKG_NAME" == "" ]; then
> -               exit 1
> -       fi
> -
> -}
>
>  function check_installed_pkg()
>  {
> @@ -103,14 +102,6 @@
>                local installedpkg=`echo $installedpkg | cut -d " " -f1`
>        fi
>
> -       if [ "$PKG_NAME" == "$installedpkg" ]; then
> -               update_bld_list
> -               get_pkg_name
> -#      else
> -#              echo "There is no package named $installedpkg in /var/log/packages !"
> -#              return 0
> -#              exit 1
> -       fi
>        cd $DLG_ROOT
>  }
>
> @@ -122,7 +113,7 @@
>        echo "|                                                       |"
>        echo "---------------------------------------------------------"
>
> -       ($BUILD_CMD $PKG_NAME) || exit 1
> +       ($BUILD_CMD $PKG_NAME) || exit 1
>
>  }
>
> @@ -134,19 +125,11 @@
>        echo "|                                                       |"
>        echo "---------------------------------------------------------"
>
> -       $UPGRADEPKG ${PKGS_DIR}/${PKG_NAME}-*-*-[0-9]dl.tgz 2>/dev/null
> +       $UPGRADEPKG
> ${DLG_PACKAGEROOT}/${PKG_NAME}-*-*-*${DLG_PKGER}.${DLG_PKGTYPE} 2>/dev/null
>        #$UPGRADEPKG
> ${PKGS_DIR}/${PKG_NAME}-${PKG_VERSION}-${DLG_ARCH}-[0-9]dl.tgz 2>/dev/null
>
>  }
>
> -function update_bld_list()
> -{
> -       local tmp_build_list="$DLG_ROOT/tmp_list.txt"
> -       sed -e '1d' $BUILD_LIST > $tmp_build_list
> -       rm $BUILD_LIST
> -       cp $tmp_build_list $BUILD_LIST
> -}
> -
>  function log_built_pkg()
>  {
>        local time=`date "+%Y-%m-%d %H:%M:%S"`
> @@ -170,6 +153,8 @@
>  UPGRADEPKG='/sbin/upgradepkg --reinstall --install-new'
>  LOGFILE=`touch $DLG_ROOT/buildall_log.txt`
>  #PKG_VERSION="not null"
> +DLG_PKGER=${DLG_PKGER:-"dl"}
> +DLG_PKGTYPE=${DLG_PKGTYPE:-"txz"}
>  PKG_NAME="1"
>
>  # Include the DBS config variables.
> @@ -178,20 +163,19 @@
>
>  # We need to backup the build order to not loose it.
>  BUILD_LIST="$DLG_ROOT/compile-order-tmp"
> -cp $BUILD_ORDER $BUILD_LIST
>  # After that we clean the build order from the commented lines
>  grep -v '^#' $BUILD_ORDER > $BUILD_LIST
>
> -while [ "$PKG_NAME" != "" ]; do
> -       get_pkg_name
> +while read PKG_NAME; do
> +       if [ $PKG_NAME == "" ] || [ $PKG_NAME == 'EOF' ]; then
> +           exit 0
> +       fi
> +
>        check_installed_pkg
>  #      if [ -z check_installed_pkg ]; then
>                build_pkg
>                log_built_pkg
>                pkg_install
>                log_installed_pkg
> -               update_bld_list
>  #      fi
> -done
> -
> -
> +done < $BUILD_LIST
>
>
>
>
>
>
>
>
>
>
> --- config.orig 2009-08-07 11:12:13.311767534 +0300
> +++ config      2009-08-08 20:37:44.149777938 +0300
> @@ -209,3 +209,8 @@
>  ##   specific cousin named PKG_SFMIRROR.
>  ##
>  #DLG_SFMIRROR="easynews"
> +
> +## DLG_PKGTYPE - This is the package type that the dropline build system
> will
> +##    generate. Supported types are: txz, tbz, tlz
> +##    Default: txz
> +#DLG_PKGTYPE="txz"
>
>
>
>
>
>
>
>
>
>
> --- SCRIPTS/dropline-files-update.sh.orig       2009-08-08 20:42:14.000000000
> +0300
> +++ SCRIPTS/dropline-files-update.sh    2009-08-08 20:15:36.068891659 +0300
> @@ -88,9 +88,9 @@
>  count=${#OldFileList[@]}
>
>
> -for file in *.tgz
> +for file in *.t[xbl]z
>  do
> -       if [ "$file" == "*.tgz" ]; then
> +       if [ "$file" == "*.txz" ] || [ "$file" == "*.tlz"] || [ "$file" ==
> "*.tbz"]; then
>                continue;
>        fi
>  #      filename=`echo "$file" | cut -f 1 -d '.' | sed -e 's/-[0-9]//g'`
>
>
>
>
>
>
>
>
>
>
> --- SCRIPTS/dropline-functions.sh.orig  2009-08-08 20:42:14.000000000 +0300
> +++ SCRIPTS/dropline-functions.sh       2009-08-08 20:13:48.268890901 +0300
> @@ -1,8 +1,10 @@
>  # (c)2004-2007 Dagmar d'Surreal and the Dropline Gnome Project
>  # Date: September 20th, 2007.
> -# Version: 0.99.9
> +# Version: 0.99.10
>
>  # Changelog:
> +#  0.99.10 - Added support for the new slackware packages [.tbz,tlz,txz]
> +#
>  #  0.99.9 - Changed tidydocumentation() a little so that it moves entire
>  #    directories that are under /usr/share/doc or /usr/doc which are not
> DOCDIR
>  #    into named subdirectories of DOCDIR (important to libxml2).
> @@ -591,9 +593,9 @@
>     tmp_arch="noarch"
>   fi
>   if [ -n "$PKG_SUBPACKAGE" ]; then
> -    local
> filename="$PKG_SUBPACKAGE-$VERSION-$tmp_arch-$REVISION$DLG_PKGER.tgz"
> +    local
> filename="$PKG_SUBPACKAGE-$VERSION-$tmp_arch-$REVISION$DLG_PKGER.$DLG_PKGTYPE"
>   else
> -    local filename="$NAME-$VERSION-$tmp_arch-$REVISION$DLG_PKGER.tgz"
> +    local
> filename="$NAME-$VERSION-$tmp_arch-$REVISION$DLG_PKGER.$DLG_PKGTYPE"
>   fi
>
>   local oldpwd=`pwd`
> @@ -637,7 +639,7 @@
>
>   releasescripts
>
> -  command="makepkg$prepend --linkadd $rmlinks --chown $chown $filename"
> +  command="makepkg$prepend --linkadd $rmlinks --chown $chown
> $PKG_PACKAGEROOT/$filename"
>   cd $PKG_STAGEROOT
>   loggedcommand packagize${PKG_SUBPACKAGE:+"-$PKG_SUBPACKAGE"} "$command"
>   status=$?
> @@ -778,19 +780,19 @@
>  ##   place and make the necessary signing files.
>  ##
>  stowpackage() {
> -  local package=${1:-"$NAME-$VERSION-$PKG_ARCH-$REVISION$DLG_PKGER.tgz"}
> +  local
> package=${1:-"$NAME-$VERSION-$PKG_ARCH-$REVISION$DLG_PKGER.$DLG_PKGTYPE"}
>   local oldpwd=`pwd`
>
>   set_title "$NAME-$VERSION-$REVISION: Storing release candidate
> package..."
>
>   spew 3 "Relocating package to $PKG_PACKAGEROOT..."
>   createdir $PKG_PACKAGEROOT
> -  cd $PKG_STAGEROOT
> -  spewdo "mv -f $package $PKG_PACKAGEROOT"
> -  status=$?
> -  if [ $status != 0 ]; then
> -    die "Moving the package to $PKG_PACKAGEROOT exited with status
> $status!"
> -  fi
> +#  cd $PKG_STAGEROOT
> +#  spewdo "mv -f $package $PKG_PACKAGEROOT"
> +#  status=$?
> +#  if [ $status != 0 ]; then
> +#    die "Moving the package to $PKG_PACKAGEROOT exited with status
> $status!"
> +#  fi
>
>   spew 3 "Generating md5sum for $package"
>   cd $PKG_PACKAGEROOT
> @@ -2330,7 +2332,7 @@
>  DLG_SRCREL=${DLG_SRCREL:-"."}
>  DLG_SFMIRROR=${DLG_SFMIRROR:-"easynews"}
>  DLG_SOURCEREPOS=${DLG_SOURCEREPOS:-"/home/Slackware/SOURCES/gnome
> /space/tarballs"}
> -
> +DLG_PKGTYPE=${DLG_PKGTYPE:-"txz"}
>  # Defaults which are null by default.
>  #DLG_MAKEFLAGS=
>  #DLG_DISABLESMP=
>
>
>
>
>
> Sasa Ostrouska wrote:
>>
>> Hi !
>>
>> All of you out there who want to contribute to the project and you are
>> very welcome if you want to do it, are pleased
>> to read and use the following guidelines.
>>
>> 1) Building platform:
>> Slackware 13.0 and Slackware64 13.0
>>
>> 2) DBS (dropline-build-system):
>> We will use the trunk of the dropline-build-system we have on sf.net
>> svn server. To check it out please execute
>> the following command:
>>
>> "svn co
>> http://dropline-gnome.svn.sourceforge.net/svnroot/dropline-gnome/dbs/trunk
>> dropline-build-system"
>>
>> 3) Wiki page, which will reflect what we are doing will be here:
>>
>> http://sourceforge.net/apps/trac/dropline-gnome/wiki/DroplineGnome2_28
>>
>> If you have write access, please submit your patch by doing svn diff
>> in your $DBS_ROOT to this mailing list so we
>> can discuss about it, and if everything ok do a svn commit.
>>
>> If you build a package also please update it in the above mentioned
>> wiki page and put in the link of your download location.
>>
>> Also for the build order, would be good to follow strictly what is in
>> the ftp.gnome.org under dir 2.28.0 platform, bindings, desktop, admin
>> and other dirs.
>>
>> 4) If we will have enough people working on this would be good to use
>> our initial system of building the packages.
>> This was consisting of a developer build and maintain a certain number
>> of packages. If we do it that way this will
>> speed up the process and we will end up with all the work done more
>> quickly.
>>
>> 5) One thing comes to my mind is the .txz extension which at the
>> moment is not supported or working in DBS. Would be
>> good if somebody can go ahead and prepare a fix for this. I know some
>> people were working on that already.
>>
>> 6) If possible would be good also to have a restructuring of the DBS
>> continue forward as discussed in here some time ago already.
>>
>> 7) dropline-installer would need a ton of fixes which would be nice if
>> we can go ahead with it also.
>>
>> Thats some points which I would like to see we can follow.
>>
>> If you have any suggestions please go ahead and reply.
>>
>> Rgds
>> Saxa
>>
>> ------------------------------------------------------------------------------
>> Let Crystal Reports handle the reporting - Free Crystal Reports 2008
>> 30-Day
>> trial. Simplify your report design, integration and deployment - and focus
>> on
>> what you do best, core application coding. Discover what's new with
>> Crystal Reports now.  http://p.sf.net/sfu/bobj-july
>> _______________________________________________
>> Dropline-gnome-devel mailing list
>> Dropline-gnome-devel@...
>> https://lists.sourceforge.net/lists/listinfo/dropline-gnome-devel
>>
>>
>
> --
> View this message in context: http://www.nabble.com/dropline-GNOME-2.28-and-contributions-tp24855242p24878035.html
> Sent from the dropline-gnome-devel mailing list archive at Nabble.com.
>
>
> ------------------------------------------------------------------------------
> Let Crystal Reports handle the reporting - Free Crystal Reports 2008 30-Day
> trial. Simplify your report design, integration and deployment - and focus on
> what you do best, core application coding. Discover what's new with
> Crystal Reports now.  http://p.sf.net/sfu/bobj-july
> _______________________________________________
> Dropline-gnome-devel mailing list
> Dropline-gnome-devel@...
> https://lists.sourceforge.net/lists/listinfo/dropline-gnome-devel
>

------------------------------------------------------------------------------
Let Crystal Reports handle the reporting - Free Crystal Reports 2008 30-Day
trial. Simplify your report design, integration and deployment - and focus on
what you do best, core application coding. Discover what's new with
Crystal Reports now.  http://p.sf.net/sfu/bobj-july
_______________________________________________
Dropline-gnome-devel mailing list
Dropline-gnome-devel@...
https://lists.sourceforge.net/lists/listinfo/dropline-gnome-devel

Re: dropline GNOME 2.28 and contributions

by shadowx :: Rate this Message:

Reply to Author | View Threaded | Show Only this Message

patches for the dropline-applet , can be found at:
http://gh0st.darknet.co.nz/dropline/dropline_applet/

All credits go to Siyan Panayotov...

Please try it and tell me if there are any bugs/problems.

Sasa Ostrouska wrote:
Hi !

All of you out there who want to contribute to the project and you are
very welcome if you want to do it, are pleased
to read and use the following guidelines.

1) Building platform:
Slackware 13.0 and Slackware64 13.0

2) DBS (dropline-build-system):
We will use the trunk of the dropline-build-system we have on sf.net
svn server. To check it out please execute
the following command:

"svn co http://dropline-gnome.svn.sourceforge.net/svnroot/dropline-gnome/dbs/trunk
dropline-build-system"

3) Wiki page, which will reflect what we are doing will be here:

http://sourceforge.net/apps/trac/dropline-gnome/wiki/DroplineGnome2_28

If you have write access, please submit your patch by doing svn diff
in your $DBS_ROOT to this mailing list so we
can discuss about it, and if everything ok do a svn commit.

If you build a package also please update it in the above mentioned
wiki page and put in the link of your download location.

Also for the build order, would be good to follow strictly what is in
the ftp.gnome.org under dir 2.28.0 platform, bindings, desktop, admin
and other dirs.

4) If we will have enough people working on this would be good to use
our initial system of building the packages.
This was consisting of a developer build and maintain a certain number
of packages. If we do it that way this will
speed up the process and we will end up with all the work done more quickly.

5) One thing comes to my mind is the .txz extension which at the
moment is not supported or working in DBS. Would be
good if somebody can go ahead and prepare a fix for this. I know some
people were working on that already.

6) If possible would be good also to have a restructuring of the DBS
continue forward as discussed in here some time ago already.

7) dropline-installer would need a ton of fixes which would be nice if
we can go ahead with it also.

Thats some points which I would like to see we can follow.

If you have any suggestions please go ahead and reply.

Rgds
Saxa

------------------------------------------------------------------------------
Let Crystal Reports handle the reporting - Free Crystal Reports 2008 30-Day
trial. Simplify your report design, integration and deployment - and focus on
what you do best, core application coding. Discover what's new with
Crystal Reports now.  http://p.sf.net/sfu/bobj-july
_______________________________________________
Dropline-gnome-devel mailing list
Dropline-gnome-devel@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/dropline-gnome-devel

Re: dropline GNOME 2.28 and contributions

by Sasa Ostrouska :: Rate this Message:

Reply to Author | View Threaded | Show Only this Message

On Sun, Aug 16, 2009 at 2:32 PM, shadowx<shadowx@...> wrote:
>
> patches for the dropline-applet , can be found at:
> http://gh0st.darknet.co.nz/dropline/dropline_applet/
>
> All credits go to Siyan Panayotov...
>
> Please try it and tell me if there are any bugs/problems.
>

Great work Siyan ! Of course the credits go to you. Would be good if
you can open a ticket about that on sf.net in that case we can have
history of the things going on over there.

Rgds
Saxa

------------------------------------------------------------------------------
Let Crystal Reports handle the reporting - Free Crystal Reports 2008 30-Day
trial. Simplify your report design, integration and deployment - and focus on
what you do best, core application coding. Discover what's new with
Crystal Reports now.  http://p.sf.net/sfu/bobj-july
_______________________________________________
Dropline-gnome-devel mailing list
Dropline-gnome-devel@...
https://lists.sourceforge.net/lists/listinfo/dropline-gnome-devel

Re: dropline GNOME 2.28 and contributions

by shadowx () :: Rate this Message:

Reply to Author | View Threaded | Show Only this Message

!!!! FIXED !!!!  i've fixed few typos thanks to tyrael

Here are the new patches.... added check to see if the current system supports the new slackware packages, and if not - we'll fall back to .tgz :]


--- build 2009-08-08 20:17:49.000000000 +0300
+++ build.new 2009-08-20 00:07:45.000000000 +0300
@@ -205,7 +205,6 @@
     echo "Finished meta-package $META"
 }
 
-DLG_PKGTYPE=${DLG_PKGTYPE:-"txz"}
 
 if [[ "$1" == "-meta" || "$1" == "-m" ]]; then
     build_meta $2



--- buildall.sh 2009-08-08 20:25:44.000000000 +0300
+++ buildall.sh.new 2009-08-20 17:14:34.000000000 +0300
@@ -10,6 +10,10 @@
 #
 # ---- ChangeLog ----
 #
+# * version 0.1.6 - 19-08-2009
+#
+# Added a check to see if the current system supports the new slackware packages
+#
 # * version 0.1.5 - 08-08-2009
 #
 # Added support for the new slackware packages [txz,tbz,tlz]
@@ -157,6 +161,12 @@
 DLG_PKGTYPE=${DLG_PKGTYPE:-"txz"}
 PKG_NAME="1"
 
+# Checking pkgtools version
+PKGTOOLS=`ls /var/log/packages/pkgtools-* | tr "-" " " | tr "." " " | awk '{print $2}'`
+if [ $PKGTOOLS -le 12 ];then
+    DLG_PKGTYPE="tgz"
+fi
+
 # Include the DBS config variables.
 . ${DLG_ROOT}/config



--- SCRIPTS/dropline-functions.sh 2009-08-08 20:13:48.000000000 +0300
+++ SCRIPTS/dropline-functions.sh.new 2009-08-20 17:15:18.000000000 +0300
@@ -1,8 +1,11 @@
 # (c)2004-2007 Dagmar d'Surreal and the Dropline Gnome Project
-# Date: September 20th, 2007.
-# Version: 0.99.10
+# Date: Aug 19th, 2009.
+# Version: 0.99.12
 
 # Changelog:
+#  0.99.12 - Fixed few typos thanks to tyrael
+#
+#  0.99.11 - Added a check to see if the current system supports the
+#    new slackware packages.
+#
 #  0.99.10 - Added support for the new slackware packages [.tbz,tlz,txz]
 #
 #  0.99.9 - Changed tidydocumentation() a little so that it moves entire
@@ -2315,7 +2315,7 @@
 DLG_STAGEROOT=${DLG_STAGEROOT:-"$DLG_SCRATCHROOT/STAGE"}
 DLG_KEEPLOGS=${DLG_KEEPLOGS:-"1"}
 DLG_VERBOSITY=${DLG_VERBOSITY:-"0"}
-DLG_ZPREF=${DLG_ZPREF:-"bz2 gz xz"}
+DLG_ZPREF=${DLG_ZPREF:-"bz2 gz"}
 DLG_WGET=${DLG_WGET:-"`which wget`"}
 DLG_WGETARGS='-c --tries=3 --random-wait'
 DLG_PREFIX=${DLG_PREFIX:-"/usr"}

@@ -2337,6 +2340,12 @@
 #DLG_MAKEFLAGS=
 #DLG_DISABLESMP=
 
+# Checking pkgtools version
+PKGTOOLS=`ls /var/log/packages/pkgtools-* | tr "-" " " | tr "." " " | awk '{print $2}'`
+if [ $PKGTOOLS -le 12 ];then
+    DLG_PKGTYPE="tgz"
+fi
+
 # Now to make those defaults "flow down" into the package-specific variables
 PKG_KEEPLOGS=${PKG_KEEPLOGS:-$DLG_KEEPLOGS}
 PKG_LOGROOT=${PKG_LOGROOT:-$DLG_LOGROOT}




--- SCRIPTS/dropline-header 2009-08-20 17:21:45.305661607 +0300
+++ SCRIPTS/dropline-header.new 2009-08-20 17:22:05.111892058 +0300
@@ -45,7 +45,11 @@
 
 # Packager information
 
-DLG_PKGER="dl"
+DLG_PKGER=${DLG_PKGER:-"dl"}
+
+# Package type
+
+DLG_PKGTYPE=${DLG_PKGTYPE:-"txz"}
 
 # Version information
 
@@ -82,3 +86,8 @@
  mkdir -p ${DLG_BUILDDIR}
 fi
 
+# Checking pkgtools version
+PKGTOOLS=`ls /var/log/packages/pkgtools-* | tr "-" " " | tr "." " " | awk '{print $2}'`
+if [ $PKGTOOLS -le 12 ];then
+    DLG_PKGTYPE="tgz"
+fi


The patches and patched files can be found at:
http://gh0st.darknet.co.nz/dropline/last/


Georgi Kolev [ shadowx_at_escom.bg ]

Sasa Ostrouska wrote:
Great seems ok to me. If nobody oposes I will commit this into trunk.

Rgds
Saxa

On Sat, Aug 8, 2009 at 7:53 PM, shadowx<shadowx@escom.bg> wrote:
>
> I have made few changes to add support of the new package types
> [txz,tbz,tlz].
>
> Here are the patches:
>
> p.s.: patches and patched files can be found at:
> http://gh0st.darknet.co.nz/dropline/
>
>
> --- build.orig  2009-08-07 11:12:13.268767412 +0300
> +++ build       2009-08-08 20:17:49.038766145 +0300
> @@ -198,13 +198,15 @@
>       build_package $PKG
>       if [[ "$rebuild_answer" == "y" || $ALREADY_INSTALLED -ne 0 ]]; then
>         echo "Installing/Upgrading $PKG"
> -        upgradepkg --reinstall --install-new
> ${DLG_PACKAGEROOT}/${NAME}-${VERSION}-*-${REVISION}*.tgz
> +        upgradepkg --reinstall --install-new
> ${DLG_PACKAGEROOT}/${NAME}-${VERSION}-*-${REVISION}*.${DLG_PKGTYPE}
>       fi
>     done
>
>     echo "Finished meta-package $META"
>  }
>
> +DLG_PKGTYPE=${DLG_PKGTYPE:-"txz"}
> +
>  if [[ "$1" == "-meta" || "$1" == "-m" ]]; then
>     build_meta $2
>  else
>
>
>
>
>
>
> --- buildall.sh.orig    2009-08-07 11:12:13.309767213 +0300
> +++ buildall.sh 2009-08-08 20:25:44.327766475 +0300
> @@ -10,6 +10,14 @@
>  #
>  # ---- ChangeLog ----
>  #
> +# * version 0.1.5 - 08-08-2009
> +#
> +# Added support for the new slackware packages [txz,tbz,tlz]
> +# Fix an issue with skipping of files while reading compile-order list.
> +# Changes to upgradepkg prcedure:
> +#  * fixing bug with packages with revision > 9
> +#  * added $DLG_PKGER to upgradepkg procedure. Fixing bug if $DLG_PKGER !=
> dl.
> +#
>  # * version 0.1.4 - 24-04-2009
>  #
>  # Corrected the bug of double install of packages with same partial names
> in
> @@ -83,15 +91,6 @@
>  #      exit 1
>  #fi
>
> -function get_pkg_name()
> -{
> -       PKG_NAME=`head -n1 $BUILD_LIST`
> -       echo $PKG_NAME
> -       if [ "$PKG_NAME" == "" ]; then
> -               exit 1
> -       fi
> -
> -}
>
>  function check_installed_pkg()
>  {
> @@ -103,14 +102,6 @@
>                local installedpkg=`echo $installedpkg | cut -d " " -f1`
>        fi
>
> -       if [ "$PKG_NAME" == "$installedpkg" ]; then
> -               update_bld_list
> -               get_pkg_name
> -#      else
> -#              echo "There is no package named $installedpkg in /var/log/packages !"
> -#              return 0
> -#              exit 1
> -       fi
>        cd $DLG_ROOT
>  }
>
> @@ -122,7 +113,7 @@
>        echo "|                                                       |"
>        echo "---------------------------------------------------------"
>
> -       ($BUILD_CMD $PKG_NAME) || exit 1
> +       ($BUILD_CMD $PKG_NAME) || exit 1
>
>  }
>
> @@ -134,19 +125,11 @@
>        echo "|                                                       |"
>        echo "---------------------------------------------------------"
>
> -       $UPGRADEPKG ${PKGS_DIR}/${PKG_NAME}-*-*-[0-9]dl.tgz 2>/dev/null
> +       $UPGRADEPKG
> ${DLG_PACKAGEROOT}/${PKG_NAME}-*-*-*${DLG_PKGER}.${DLG_PKGTYPE} 2>/dev/null
>        #$UPGRADEPKG
> ${PKGS_DIR}/${PKG_NAME}-${PKG_VERSION}-${DLG_ARCH}-[0-9]dl.tgz 2>/dev/null
>
>  }
>
> -function update_bld_list()
> -{
> -       local tmp_build_list="$DLG_ROOT/tmp_list.txt"
> -       sed -e '1d' $BUILD_LIST > $tmp_build_list
> -       rm $BUILD_LIST
> -       cp $tmp_build_list $BUILD_LIST
> -}
> -
>  function log_built_pkg()
>  {
>        local time=`date "+%Y-%m-%d %H:%M:%S"`
> @@ -170,6 +153,8 @@
>  UPGRADEPKG='/sbin/upgradepkg --reinstall --install-new'
>  LOGFILE=`touch $DLG_ROOT/buildall_log.txt`
>  #PKG_VERSION="not null"
> +DLG_PKGER=${DLG_PKGER:-"dl"}
> +DLG_PKGTYPE=${DLG_PKGTYPE:-"txz"}
>  PKG_NAME="1"
>
>  # Include the DBS config variables.
> @@ -178,20 +163,19 @@
>
>  # We need to backup the build order to not loose it.
>  BUILD_LIST="$DLG_ROOT/compile-order-tmp"
> -cp $BUILD_ORDER $BUILD_LIST
>  # After that we clean the build order from the commented lines
>  grep -v '^#' $BUILD_ORDER > $BUILD_LIST
>
> -while [ "$PKG_NAME" != "" ]; do
> -       get_pkg_name
> +while read PKG_NAME; do
> +       if [ $PKG_NAME == "" ] || [ $PKG_NAME == 'EOF' ]; then
> +           exit 0
> +       fi
> +
>        check_installed_pkg
>  #      if [ -z check_installed_pkg ]; then
>                build_pkg
>                log_built_pkg
>                pkg_install
>                log_installed_pkg
> -               update_bld_list
>  #      fi
> -done
> -
> -
> +done < $BUILD_LIST
>
>
>
>
>
>
>
>
>
>
> --- config.orig 2009-08-07 11:12:13.311767534 +0300
> +++ config      2009-08-08 20:37:44.149777938 +0300
> @@ -209,3 +209,8 @@
>  ##   specific cousin named PKG_SFMIRROR.
>  ##
>  #DLG_SFMIRROR="easynews"
> +
> +## DLG_PKGTYPE - This is the package type that the dropline build system
> will
> +##    generate. Supported types are: txz, tbz, tlz
> +##    Default: txz
> +#DLG_PKGTYPE="txz"
>
>
>
>
>
>
>
>
>
>
> --- SCRIPTS/dropline-files-update.sh.orig       2009-08-08 20:42:14.000000000
> +0300
> +++ SCRIPTS/dropline-files-update.sh    2009-08-08 20:15:36.068891659 +0300
> @@ -88,9 +88,9 @@
>  count=${#OldFileList[@]}
>
>
> -for file in *.tgz
> +for file in *.t[xbl]z
>  do
> -       if [ "$file" == "*.tgz" ]; then
> +       if [ "$file" == "*.txz" ] || [ "$file" == "*.tlz"] || [ "$file" ==
> "*.tbz"]; then
>                continue;
>        fi
>  #      filename=`echo "$file" | cut -f 1 -d '.' | sed -e 's/-[0-9]//g'`
>
>
>
>
>
>
>
>
>
>
> --- SCRIPTS/dropline-functions.sh.orig  2009-08-08 20:42:14.000000000 +0300
> +++ SCRIPTS/dropline-functions.sh       2009-08-08 20:13:48.268890901 +0300
> @@ -1,8 +1,10 @@
>  # (c)2004-2007 Dagmar d'Surreal and the Dropline Gnome Project
>  # Date: September 20th, 2007.
> -# Version: 0.99.9
> +# Version: 0.99.10
>
>  # Changelog:
> +#  0.99.10 - Added support for the new slackware packages [.tbz,tlz,txz]
> +#
>  #  0.99.9 - Changed tidydocumentation() a little so that it moves entire
>  #    directories that are under /usr/share/doc or /usr/doc which are not
> DOCDIR
>  #    into named subdirectories of DOCDIR (important to libxml2).
> @@ -591,9 +593,9 @@
>     tmp_arch="noarch"
>   fi
>   if [ -n "$PKG_SUBPACKAGE" ]; then
> -    local
> filename="$PKG_SUBPACKAGE-$VERSION-$tmp_arch-$REVISION$DLG_PKGER.tgz"
> +    local
> filename="$PKG_SUBPACKAGE-$VERSION-$tmp_arch-$REVISION$DLG_PKGER.$DLG_PKGTYPE"
>   else
> -    local filename="$NAME-$VERSION-$tmp_arch-$REVISION$DLG_PKGER.tgz"
> +    local
> filename="$NAME-$VERSION-$tmp_arch-$REVISION$DLG_PKGER.$DLG_PKGTYPE"
>   fi
>
>   local oldpwd=`pwd`
> @@ -637,7 +639,7 @@
>
>   releasescripts
>
> -  command="makepkg$prepend --linkadd $rmlinks --chown $chown $filename"
> +  command="makepkg$prepend --linkadd $rmlinks --chown $chown
> $PKG_PACKAGEROOT/$filename"
>   cd $PKG_STAGEROOT
>   loggedcommand packagize${PKG_SUBPACKAGE:+"-$PKG_SUBPACKAGE"} "$command"
>   status=$?
> @@ -778,19 +780,19 @@
>  ##   place and make the necessary signing files.
>  ##
>  stowpackage() {
> -  local package=${1:-"$NAME-$VERSION-$PKG_ARCH-$REVISION$DLG_PKGER.tgz"}
> +  local
> package=${1:-"$NAME-$VERSION-$PKG_ARCH-$REVISION$DLG_PKGER.$DLG_PKGTYPE"}
>   local oldpwd=`pwd`
>
>   set_title "$NAME-$VERSION-$REVISION: Storing release candidate
> package..."
>
>   spew 3 "Relocating package to $PKG_PACKAGEROOT..."
>   createdir $PKG_PACKAGEROOT
> -  cd $PKG_STAGEROOT
> -  spewdo "mv -f $package $PKG_PACKAGEROOT"
> -  status=$?
> -  if [ $status != 0 ]; then
> -    die "Moving the package to $PKG_PACKAGEROOT exited with status
> $status!"
> -  fi
> +#  cd $PKG_STAGEROOT
> +#  spewdo "mv -f $package $PKG_PACKAGEROOT"
> +#  status=$?
> +#  if [ $status != 0 ]; then
> +#    die "Moving the package to $PKG_PACKAGEROOT exited with status
> $status!"
> +#  fi
>
>   spew 3 "Generating md5sum for $package"
>   cd $PKG_PACKAGEROOT
> @@ -2330,7 +2332,7 @@
>  DLG_SRCREL=${DLG_SRCREL:-"."}
>  DLG_SFMIRROR=${DLG_SFMIRROR:-"easynews"}
>  DLG_SOURCEREPOS=${DLG_SOURCEREPOS:-"/home/Slackware/SOURCES/gnome
> /space/tarballs"}
> -
> +DLG_PKGTYPE=${DLG_PKGTYPE:-"txz"}
>  # Defaults which are null by default.
>  #DLG_MAKEFLAGS=
>  #DLG_DISABLESMP=
>
>
>
>
>
> Sasa Ostrouska wrote:
>>
>> Hi !
>>
>> All of you out there who want to contribute to the project and you are
>> very welcome if you want to do it, are pleased
>> to read and use the following guidelines.
>>
>> 1) Building platform:
>> Slackware 13.0 and Slackware64 13.0
>>
>> 2) DBS (dropline-build-system):
>> We will use the trunk of the dropline-build-system we have on sf.net
>> svn server. To check it out please execute
>> the following command:
>>
>> "svn co
>> http://dropline-gnome.svn.sourceforge.net/svnroot/dropline-gnome/dbs/trunk
>> dropline-build-system"
>>
>> 3) Wiki page, which will reflect what we are doing will be here:
>>
>> http://sourceforge.net/apps/trac/dropline-gnome/wiki/DroplineGnome2_28
>>
>> If you have write access, please submit your patch by doing svn diff
>> in your $DBS_ROOT to this mailing list so we
>> can discuss about it, and if everything ok do a svn commit.
>>
>> If you build a package also please update it in the above mentioned
>> wiki page and put in the link of your download location.
>>
>> Also for the build order, would be good to follow strictly what is in
>> the ftp.gnome.org under dir 2.28.0 platform, bindings, desktop, admin
>> and other dirs.
>>
>> 4) If we will have enough people working on this would be good to use
>> our initial system of building the packages.
>> This was consisting of a developer build and maintain a certain number
>> of packages. If we do it that way this will
>> speed up the process and we will end up with all the work done more
>> quickly.
>>
>> 5) One thing comes to my mind is the .txz extension which at the
>> moment is not supported or working in DBS. Would be
>> good if somebody can go ahead and prepare a fix for this. I know some
>> people were working on that already.
>>
>> 6) If possible would be good also to have a restructuring of the DBS
>> continue forward as discussed in here some time ago already.
>>
>> 7) dropline-installer would need a ton of fixes which would be nice if
>> we can go ahead with it also.
>>
>> Thats some points which I would like to see we can follow.
>>
>> If you have any suggestions please go ahead and reply.
>>
>> Rgds
>> Saxa
>>
>> ------------------------------------------------------------------------------
>> Let Crystal Reports handle the reporting - Free Crystal Reports 2008
>> 30-Day
>> trial. Simplify your report design, integration and deployment - and focus
>> on
>> what you do best, core application coding. Discover what's new with
>> Crystal Reports now.  http://p.sf.net/sfu/bobj-july
>> _______________________________________________
>> Dropline-gnome-devel mailing list
>> Dropline-gnome-devel@lists.sourceforge.net
>> https://lists.sourceforge.net/lists/listinfo/dropline-gnome-devel
>>
>>
>
> --
> View this message in context: http://www.nabble.com/dropline-GNOME-2.28-and-contributions-tp24855242p24878035.html
> Sent from the dropline-gnome-devel mailing list archive at Nabble.com.
>
>
> ------------------------------------------------------------------------------
> Let Crystal Reports handle the reporting - Free Crystal Reports 2008 30-Day
> trial. Simplify your report design, integration and deployment - and focus on
> what you do best, core application coding. Discover what's new with
> Crystal Reports now.  http://p.sf.net/sfu/bobj-july
> _______________________________________________
> Dropline-gnome-devel mailing list
> Dropline-gnome-devel@lists.sourceforge.net
> https://lists.sourceforge.net/lists/listinfo/dropline-gnome-devel
>

------------------------------------------------------------------------------
Let Crystal Reports handle the reporting - Free Crystal Reports 2008 30-Day
trial. Simplify your report design, integration and deployment - and focus on
what you do best, core application coding. Discover what's new with
Crystal Reports now.  http://p.sf.net/sfu/bobj-july
_______________________________________________
Dropline-gnome-devel mailing list
Dropline-gnome-devel@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/dropline-gnome-devel

Re: dropline GNOME 2.28 and contributions

by shadowx :: Rate this Message:

Reply to Author | View Threaded | Show Only this Message

I've edited my post to fix few typos ...sorry about that.
Thanks to tyrael for the help :)

Re: dropline GNOME 2.28 and contributions

by Sasa Ostrouska :: Rate this Message:

Reply to Author | View Threaded | Show Only this Message

Shadowx I will try the patches later and if it works ok, will let you know.
It should as per what i saw you spoke on the irc with Brat.

Rgds
Saxa

On Thu, Aug 20, 2009 at 2:59 PM, shadowx<shadowx@...> wrote:

>
> I've edited my post to fix few typos ...sorry about that.
> Thanks to tyrael for the help :)
> --
> View this message in context: http://www.nabble.com/dropline-GNOME-2.28-and-contributions-tp24855242p25066947.html
> Sent from the dropline-gnome-devel mailing list archive at Nabble.com.
>
>
> ------------------------------------------------------------------------------
> Let Crystal Reports handle the reporting - Free Crystal Reports 2008 30-Day
> trial. Simplify your report design, integration and deployment - and focus on
> what you do best, core application coding. Discover what's new with
> Crystal Reports now.  http://p.sf.net/sfu/bobj-july
> _______________________________________________
> Dropline-gnome-devel mailing list
> Dropline-gnome-devel@...
> https://lists.sourceforge.net/lists/listinfo/dropline-gnome-devel
>

------------------------------------------------------------------------------
Let Crystal Reports handle the reporting - Free Crystal Reports 2008 30-Day
trial. Simplify your report design, integration and deployment - and focus on
what you do best, core application coding. Discover what's new with
Crystal Reports now.  http://p.sf.net/sfu/bobj-july
_______________________________________________
Dropline-gnome-devel mailing list
Dropline-gnome-devel@...
https://lists.sourceforge.net/lists/listinfo/dropline-gnome-devel

Re: dropline GNOME 2.28 and contributions

by Sasa Ostrouska :: Rate this Message:

Reply to Author | View Threaded | Show Only this Message

I have applied 3 patches of yours, shadowx, but the engine still
produces txz packages.
Only patch I have not applied is:

http://gh0st.darknet.co.nz/dropline/dropline-functions.sh.patch

since its complaining that is malformed.

Rgds
Saxa

On Thu, Aug 20, 2009 at 9:35 PM, Sasa Ostrouska<casaxa@...> wrote:

> Shadowx I will try the patches later and if it works ok, will let you know.
> It should as per what i saw you spoke on the irc with Brat.
>
> Rgds
> Saxa
>
> On Thu, Aug 20, 2009 at 2:59 PM, shadowx<shadowx@...> wrote:
>>
>> I've edited my post to fix few typos ...sorry about that.
>> Thanks to tyrael for the help :)
>> --
>> View this message in context: http://www.nabble.com/dropline-GNOME-2.28-and-contributions-tp24855242p25066947.html
>> Sent from the dropline-gnome-devel mailing list archive at Nabble.com.
>>
>>
>> ------------------------------------------------------------------------------
>> Let Crystal Reports handle the reporting - Free Crystal Reports 2008 30-Day
>> trial. Simplify your report design, integration and deployment - and focus on
>> what you do best, core application coding. Discover what's new with
>> Crystal Reports now.  http://p.sf.net/sfu/bobj-july
>> _______________________________________________
>> Dropline-gnome-devel mailing list
>> Dropline-gnome-devel@...
>> https://lists.sourceforge.net/lists/listinfo/dropline-gnome-devel
>>
>

------------------------------------------------------------------------------
Let Crystal Reports handle the reporting - Free Crystal Reports 2008 30-Day
trial. Simplify your report design, integration and deployment - and focus on
what you do best, core application coding. Discover what's new with
Crystal Reports now.  http://p.sf.net/sfu/bobj-july
_______________________________________________
Dropline-gnome-devel mailing list
Dropline-gnome-devel@...
https://lists.sourceforge.net/lists/listinfo/dropline-gnome-devel

Re: dropline GNOME 2.28 and contributions

by Sasa Ostrouska :: Rate this Message:

Reply to Author | View Threaded | Show Only this Message

Nevermind, the patch applied, but still produces txz instead of tgz.
Rgds
Saxa

On Sat, Aug 22, 2009 at 4:20 AM, Sasa Ostrouska<casaxa@...> wrote:

> I have applied 3 patches of yours, shadowx, but the engine still
> produces txz packages.
> Only patch I have not applied is:
>
> http://gh0st.darknet.co.nz/dropline/dropline-functions.sh.patch
>
> since its complaining that is malformed.
>
> Rgds
> Saxa
>
> On Thu, Aug 20, 2009 at 9:35 PM, Sasa Ostrouska<casaxa@...> wrote:
>> Shadowx I will try the patches later and if it works ok, will let you know.
>> It should as per what i saw you spoke on the irc with Brat.
>>
>> Rgds
>> Saxa
>>
>> On Thu, Aug 20, 2009 at 2:59 PM, shadowx<shadowx@...> wrote:
>>>
>>> I've edited my post to fix few typos ...sorry about that.
>>> Thanks to tyrael for the help :)
>>> --
>>> View this message in context: http://www.nabble.com/dropline-GNOME-2.28-and-contributions-tp24855242p25066947.html
>>> Sent from the dropline-gnome-devel mailing list archive at Nabble.com.
>>>
>>>
>>> ------------------------------------------------------------------------------
>>> Let Crystal Reports handle the reporting - Free Crystal Reports 2008 30-Day
>>> trial. Simplify your report design, integration and deployment - and focus on
>>> what you do best, core application coding. Discover what's new with
>>> Crystal Reports now.  http://p.sf.net/sfu/bobj-july
>>> _______________________________________________
>>> Dropline-gnome-devel mailing list
>>> Dropline-gnome-devel@...
>>> https://lists.sourceforge.net/lists/listinfo/dropline-gnome-devel
>>>
>>
>

------------------------------------------------------------------------------
Let Crystal Reports handle the reporting - Free Crystal Reports 2008 30-Day
trial. Simplify your report design, integration and deployment - and focus on
what you do best, core application coding. Discover what's new with
Crystal Reports now.  http://p.sf.net/sfu/bobj-july
_______________________________________________
Dropline-gnome-devel mailing list
Dropline-gnome-devel@...
https://lists.sourceforge.net/lists/listinfo/dropline-gnome-devel

Re: dropline GNOME 2.28 and contributions

by Sasa Ostrouska :: Rate this Message:

Reply to Author | View Threaded | Show Only this Message

Fixed, removed the ! in fromt of the [ PKGTOOLS -le 12].

Thanks
Saxa

On Sat, Aug 22, 2009 at 4:39 AM, Sasa Ostrouska<casaxa@...> wrote:

> Nevermind, the patch applied, but still produces txz instead of tgz.
> Rgds
> Saxa
>
> On Sat, Aug 22, 2009 at 4:20 AM, Sasa Ostrouska<casaxa@...> wrote:
>> I have applied 3 patches of yours, shadowx, but the engine still
>> produces txz packages.
>> Only patch I have not applied is:
>>
>> http://gh0st.darknet.co.nz/dropline/dropline-functions.sh.patch
>>
>> since its complaining that is malformed.
>>
>> Rgds
>> Saxa
>>
>> On Thu, Aug 20, 2009 at 9:35 PM, Sasa Ostrouska<casaxa@...> wrote:
>>> Shadowx I will try the patches later and if it works ok, will let you know.
>>> It should as per what i saw you spoke on the irc with Brat.
>>>
>>> Rgds
>>> Saxa
>>>
>>> On Thu, Aug 20, 2009 at 2:59 PM, shadowx<shadowx@...> wrote:
>>>>
>>>> I've edited my post to fix few typos ...sorry about that.
>>>> Thanks to tyrael for the help :)
>>>> --
>>>> View this message in context: http://www.nabble.com/dropline-GNOME-2.28-and-contributions-tp24855242p25066947.html
>>>> Sent from the dropline-gnome-devel mailing list archive at Nabble.com.
>>>>
>>>>
>>>> ------------------------------------------------------------------------------
>>>> Let Crystal Reports handle the reporting - Free Crystal Reports 2008 30-Day
>>>> trial. Simplify your report design, integration and deployment - and focus on
>>>> what you do best, core application coding. Discover what's new with
>>>> Crystal Reports now.  http://p.sf.net/sfu/bobj-july
>>>> _______________________________________________
>>>> Dropline-gnome-devel mailing list
>>>> Dropline-gnome-devel@...
>>>> https://lists.sourceforge.net/lists/listinfo/dropline-gnome-devel
>>>>
>>>
>>
>

------------------------------------------------------------------------------
Let Crystal Reports handle the reporting - Free Crystal Reports 2008 30-Day
trial. Simplify your report design, integration and deployment - and focus on
what you do best, core application coding. Discover what's new with
Crystal Reports now.  http://p.sf.net/sfu/bobj-july
_______________________________________________
Dropline-gnome-devel mailing list
Dropline-gnome-devel@...
https://lists.sourceforge.net/lists/listinfo/dropline-gnome-devel

Re: dropline GNOME 2.28 and contributions

by shadowx :: Rate this Message:

Reply to Author | View Threaded | Show Only this Message

Sorry about that.
i've fixed the patch.
Sasa Ostrouska wrote:
Fixed, removed the ! in fromt of the [ PKGTOOLS -le 12].

Thanks
Saxa

On Sat, Aug 22, 2009 at 4:39 AM, Sasa Ostrouska<casaxa@gmail.com> wrote:
> Nevermind, the patch applied, but still produces txz instead of tgz.
> Rgds
> Saxa
>
> On Sat, Aug 22, 2009 at 4:20 AM, Sasa Ostrouska<casaxa@gmail.com> wrote:
>> I have applied 3 patches of yours, shadowx, but the engine still
>> produces txz packages.
>> Only patch I have not applied is:
>>
>> http://gh0st.darknet.co.nz/dropline/dropline-functions.sh.patch
>>
>> since its complaining that is malformed.
>>
>> Rgds
>> Saxa
>>
>> On Thu, Aug 20, 2009 at 9:35 PM, Sasa Ostrouska<casaxa@gmail.com> wrote:
>>> Shadowx I will try the patches later and if it works ok, will let you know.
>>> It should as per what i saw you spoke on the irc with Brat.
>>>
>>> Rgds
>>> Saxa
>>>
>>> On Thu, Aug 20, 2009 at 2:59 PM, shadowx<shadowx@escom.bg> wrote:
>>>>
>>>> I've edited my post to fix few typos ...sorry about that.
>>>> Thanks to tyrael for the help :)
>>>> --
>>>> View this message in context: http://www.nabble.com/dropline-GNOME-2.28-and-contributions-tp24855242p25066947.html
>>>> Sent from the dropline-gnome-devel mailing list archive at Nabble.com.
>>>>
>>>>
>>>> ------------------------------------------------------------------------------
>>>> Let Crystal Reports handle the reporting - Free Crystal Reports 2008 30-Day
>>>> trial. Simplify your report design, integration and deployment - and focus on
>>>> what you do best, core application coding. Discover what's new with
>>>> Crystal Reports now.  http://p.sf.net/sfu/bobj-july
>>>> _______________________________________________
>>>> Dropline-gnome-devel mailing list
>>>> Dropline-gnome-devel@lists.sourceforge.net
>>>> https://lists.sourceforge.net/lists/listinfo/dropline-gnome-devel
>>>>
>>>
>>
>

------------------------------------------------------------------------------
Let Crystal Reports handle the reporting - Free Crystal Reports 2008 30-Day
trial. Simplify your report design, integration and deployment - and focus on
what you do best, core application coding. Discover what's new with
Crystal Reports now.  http://p.sf.net/sfu/bobj-july
_______________________________________________
Dropline-gnome-devel mailing list
Dropline-gnome-devel@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/dropline-gnome-devel

Re: dropline GNOME 2.28 and contributions

by Sasa Ostrouska :: Rate this Message:

Reply to Author | View Threaded | Show Only this Message

No problem Shadowx , thanks for your work. Btw, what is your real name ?

Rgds
Saxa

On Sat, Aug 22, 2009 at 5:16 PM, shadowx<shadowx@...> wrote:

>
> Sorry about that.
> i've fixed the patch.
>
> Sasa Ostrouska wrote:
>>
>> Fixed, removed the ! in fromt of the [ PKGTOOLS -le 12].
>>
>> Thanks
>> Saxa
>>
>> On Sat, Aug 22, 2009 at 4:39 AM, Sasa Ostrouska<casaxa@...> wrote:
>>> Nevermind, the patch applied, but still produces txz instead of tgz.
>>> Rgds
>>> Saxa
>>>
>>> On Sat, Aug 22, 2009 at 4:20 AM, Sasa Ostrouska<casaxa@...> wrote:
>>>> I have applied 3 patches of yours, shadowx, but the engine still
>>>> produces txz packages.
>>>> Only patch I have not applied is:
>>>>
>>>> http://gh0st.darknet.co.nz/dropline/dropline-functions.sh.patch
>>>>
>>>> since its complaining that is malformed.
>>>>
>>>> Rgds
>>>> Saxa
>>>>
>>>> On Thu, Aug 20, 2009 at 9:35 PM, Sasa Ostrouska<casaxa@...> wrote:
>>>>> Shadowx I will try the patches later and if it works ok, will let you
>>>>> know.
>>>>> It should as per what i saw you spoke on the irc with Brat.
>>>>>
>>>>> Rgds
>>>>> Saxa
>>>>>
>>>>> On Thu, Aug 20, 2009 at 2:59 PM, shadowx<shadowx@...> wrote:
>>>>>>
>>>>>> I've edited my post to fix few typos ...sorry about that.
>>>>>> Thanks to tyrael for the help :)
>>>>>> --
>>>>>> View this message in context:
>>>>>> http://www.nabble.com/dropline-GNOME-2.28-and-contributions-tp24855242p25066947.html
>>>>>> Sent from the dropline-gnome-devel mailing list archive at Nabble.com.
>>>>>>
>>>>>>
>>>>>> ------------------------------------------------------------------------------
>>>>>> Let Crystal Reports handle the reporting - Free Crystal Reports 2008
>>>>>> 30-Day
>>>>>> trial. Simplify your report design, integration and deployment - and
>>>>>> focus on
>>>>>> what you do best, core application coding. Discover what's new with
>>>>>> Crystal Reports now.  http://p.sf.net/sfu/bobj-july
>>>>>> _______________________________________________
>>>>>> Dropline-gnome-devel mailing list
>>>>>> Dropline-gnome-devel@...
>>>>>> https://lists.sourceforge.net/lists/listinfo/dropline-gnome-devel
>>>>>>
>>>>>
>>>>
>>>
>>
>> ------------------------------------------------------------------------------
>> Let Crystal Reports handle the reporting - Free Crystal Reports 2008
>> 30-Day
>> trial. Simplify your report design, integration and deployment - and focus
>> on
>> what you do best, core application coding. Discover what's new with
>> Crystal Reports now.  http://p.sf.net/sfu/bobj-july
>> _______________________________________________
>> Dropline-gnome-devel mailing list
>> Dropline-gnome-devel@...
>> https://lists.sourceforge.net/lists/listinfo/dropline-gnome-devel
>>
>>
>
> --
> View this message in context: http://www.nabble.com/dropline-GNOME-2.28-and-contributions-tp24855242p25094710.html
> Sent from the dropline-gnome-devel mailing list archive at Nabble.com.
>
>
> ------------------------------------------------------------------------------
> Let Crystal Reports handle the reporting - Free Crystal Reports 2008 30-Day
> trial. Simplify your report design, integration and deployment - and focus on
> what you do best, core application coding. Discover what's new with
> Crystal Reports now.  http://p.sf.net/sfu/bobj-july
> _______________________________________________
> Dropline-gnome-devel mailing list
> Dropline-gnome-devel@...
> https://lists.sourceforge.net/lists/listinfo/dropline-gnome-devel
>

------------------------------------------------------------------------------
Let Crystal Reports handle the reporting - Free Crystal Reports 2008 30-Day
trial. Simplify your report design, integration and deployment - and focus on
what you do best, core application coding. Discover what's new with
Crystal Reports now.  http://p.sf.net/sfu/bobj-july
_______________________________________________
Dropline-gnome-devel mailing list
Dropline-gnome-devel@...
https://lists.sourceforge.net/lists/listinfo/dropline-gnome-devel

Build system revamp.

by bart van der Hall-3 :: Rate this Message:

Reply to Author | View Threaded | Show Only this Message

Evening,

Shadowx and I (Tyrael) have been working on some improvements on the
buildall.sh script

*READ* Shadowx did the improvements, I the testing. *END READ*

When doing this, I was thinking why not get all the ideas up again for the
build system,
and we will see what we can put in and what not

*READ* Shadowx will try to script the stuff, I will be testing *END READ*

BTW, sarcastic meaning above, we all develop together offcourse.

some idea's here

-- pre download source packages (handy if you have a slow connection)
-- build <package name>
-- build all
-- build <META file>
-- build all
-- build signed package

rgds,

Tyrael


__________ Informatie van ESET Smart Security, versie van database viruskenmerken 4363 (20090824) __________

Het bericht is gecontroleerd door  ESET Smart Security.

http://www.eset.com




------------------------------------------------------------------------------
Let Crystal Reports handle the reporting - Free Crystal Reports 2008 30-Day
trial. Simplify your report design, integration and deployment - and focus on
what you do best, core application coding. Discover what's new with
Crystal Reports now.  http://p.sf.net/sfu/bobj-july
_______________________________________________
Dropline-gnome-devel mailing list
Dropline-gnome-devel@...
https://lists.sourceforge.net/lists/listinfo/dropline-gnome-devel

Re: Build system revamp.

by Sasa Ostrouska :: Rate this Message:

Reply to Author | View Threaded | Show Only this Message

Evening to you, and welcome back to life :)

On Mon, Aug 24, 2009 at 7:50 PM, bart van der
hall<bartgymnast@...> wrote:

> Evening,
>
> Shadowx and I (Tyrael) have been working on some improvements on the
> buildall.sh script
>
> *READ* Shadowx did the improvements, I the testing. *END READ*
>
> When doing this, I was thinking why not get all the ideas up again for the
> build system,
> and we will see what we can put in and what not
>
> *READ* Shadowx will try to script the stuff, I will be testing *END READ*
>
> BTW, sarcastic meaning above, we all develop together offcourse.
>

I completely agree and if you and other people working on a svn branch it would
be perfect, especially if we all can see the patches of what they do.
The system of work I think is very clear. Prepare a patch for a single
functionality
and submit it to the mailing list for review. If its approved we put
it into the trunk or
a special DBS branch for testing.

I would propose to not touch trunk for now, since it will be used to
build up 2.28. But if you want you can go ahead and create a branch of
trunk into branches and then work up on it from there.

Optimal would be if we can describe and plan the new functionalities
DBS should have on the sf.net wiki or here on the ML before we do
anything in the svn tree.

> some idea's here
>
> -- pre download source packages (handy if you have a slow connection)

I completely agree with this, pre downloading of sources is useful.

> -- build <package name>
> -- build all
> -- build <META file>
This already works iirc.

> -- build all
I dont get what you mean with this ?

> -- build signed package

Thats also a nice idea.

>
> rgds,
>
> Tyrael

Some thing which already exist in DBS trunk are Renatos script for
creating a config file, and Renatos python script for checking the
dependencies of gnome packages.

I have made some reordering of the house on redos.si so there you can
see a draft not working for now of DBS-2 structure in my view. See
this link:

http://dlg64.redos.si/trac/browser/dbs-2.0/trunk

If somebody want to continue to work on it, then check it out and lets
talk about it here on the ML.

Rgds
Saxa

------------------------------------------------------------------------------
Let Crystal Reports handle the reporting - Free Crystal Reports 2008 30-Day
trial. Simplify your report design, integration and deployment - and focus on
what you do best, core application coding. Discover what's new with
Crystal Reports now.  http://p.sf.net/sfu/bobj-july
_______________________________________________
Dropline-gnome-devel mailing list
Dropline-gnome-devel@...
https://lists.sourceforge.net/lists/listinfo/dropline-gnome-devel

Re: Build system revamp.

by Sasa Ostrouska :: Rate this Message:

Reply to Author | View Threaded | Show Only this Message

On Tue, Aug 25, 2009 at 4:15 AM, Sasa Ostrouska<casaxa@...> wrote:

> Evening to you, and welcome back to life :)
>
> On Mon, Aug 24, 2009 at 7:50 PM, bart van der
> hall<bartgymnast@...> wrote:
>> Evening,
>>
>> Shadowx and I (Tyrael) have been working on some improvements on the
>> buildall.sh script
>>
>> *READ* Shadowx did the improvements, I the testing. *END READ*
>>
>> When doing this, I was thinking why not get all the ideas up again for the
>> build system,
>> and we will see what we can put in and what not
>>
>> *READ* Shadowx will try to script the stuff, I will be testing *END READ*
>>
>> BTW, sarcastic meaning above, we all develop together offcourse.
>>
>
> I completely agree and if you and other people working on a svn branch it would
> be perfect, especially if we all can see the patches of what they do.
> The system of work I think is very clear. Prepare a patch for a single
> functionality
> and submit it to the mailing list for review. If its approved we put
> it into the trunk or
> a special DBS branch for testing.
>
> I would propose to not touch trunk for now, since it will be used to
> build up 2.28. But if you want you can go ahead and create a branch of
> trunk into branches and then work up on it from there.
>
> Optimal would be if we can describe and plan the new functionalities
> DBS should have on the sf.net wiki or here on the ML before we do
> anything in the svn tree.
>
>> some idea's here
>>
>> -- pre download source packages (handy if you have a slow connection)
>
> I completely agree with this, pre downloading of sources is useful.
>
>> -- build <package name>
>> -- build all
>> -- build <META file>
> This already works iirc.
>
>> -- build all
> I dont get what you mean with this ?
>
>> -- build signed package
>
> Thats also a nice idea.
>
>>
>> rgds,
>>
>> Tyrael
>
> Some thing which already exist in DBS trunk are Renatos script for
> creating a config file, and Renatos python script for checking the
> dependencies of gnome packages.
>
> I have made some reordering of the house on redos.si so there you can
> see a draft not working for now of DBS-2 structure in my view. See
> this link:
>
> http://dlg64.redos.si/trac/browser/dbs-2.0/trunk
>
> If somebody want to continue to work on it, then check it out and lets
> talk about it here on the ML.
>
> Rgds
> Saxa
>

Another thing I was planing to do is to merge the SOURCES dir into the
SCRIPTS dir. This would mean to have one only place for the patches
and the build and desc files. So no need to have a SOURCES/$PKG_DIR
for the patches and SCRIPTS/$PKG_DIR for the build and desc. This is
no big sense to have it that way.

Also the best thing would be to have opened one ticket on sf.net trac
for each functionality we want to change, add or modify in DBS and
attach a patch for it before closing the ticket.

Rgds
Saxa

------------------------------------------------------------------------------
Let Crystal Reports handle the reporting - Free Crystal Reports 2008 30-Day
trial. Simplify your report design, integration and deployment - and focus on
what you do best, core application coding. Discover what's new with
Crystal Reports now.  http://p.sf.net/sfu/bobj-july
_______________________________________________
Dropline-gnome-devel mailing list
Dropline-gnome-devel@...
https://lists.sourceforge.net/lists/listinfo/dropline-gnome-devel

Re: Build system revamp.

by Tiago "Salvador" Souza :: Rate this Message:

Reply to Author | View Threaded | Show Only this Message


Em Ter, 2009-08-25 às 04:24 +0200, Sasa Ostrouska escreveu:

> Another thing I was planing to do is to merge the SOURCES dir into the
> SCRIPTS dir. This would mean to have one only place for the patches
> and the build and desc files. So no need to have a SOURCES/$PKG_DIR
> for the patches and SCRIPTS/$PKG_DIR for the build and desc. This is
> no big sense to have it that way.
>
> Also the best thing would be to have opened one ticket on sf.net trac
> for each functionality we want to change, add or modify in DBS and
> attach a patch for it before closing the ticket.
>
> Rgds
> Saxa
I completely agree with that. Moving the sources dir into SCRIPTS is a
step in the right direction.


------------------------------------------------------------------------------
Let Crystal Reports handle the reporting - Free Crystal Reports 2008 30-Day
trial. Simplify your report design, integration and deployment - and focus on
what you do best, core application coding. Discover what's new with
Crystal Reports now.  http://p.sf.net/sfu/bobj-july
_______________________________________________
Dropline-gnome-devel mailing list
Dropline-gnome-devel@...
https://lists.sourceforge.net/lists/listinfo/dropline-gnome-devel

signature.asc (204 bytes) Download Attachment

Re: Build system revamp.

by shadowx :: Rate this Message:

Reply to Author | View Threaded | Show Only this Message

I have some trouble opening : http://dlg64.redos.si/trac/browser/dbs-2.0/trunk
Can u look if everthing is okay with it ....

It will be my pleasure to work on the building system .. but i think that before starting any work
we must talk about it ...share ideas , so I can get what's your view of the changes that must be made
Maybe i must open a new thread on the ML , for ideas for the building system?

Sasa Ostrouska wrote:
Evening to you, and welcome back to life :)

On Mon, Aug 24, 2009 at 7:50 PM, bart van der
hall<bartgymnast@hotmail.com> wrote:
> Evening,
>
> Shadowx and I (Tyrael) have been working on some improvements on the
> buildall.sh script
>
> *READ* Shadowx did the improvements, I the testing. *END READ*
>
> When doing this, I was thinking why not get all the ideas up again for the
> build system,
> and we will see what we can put in and what not
>
> *READ* Shadowx will try to script the stuff, I will be testing *END READ*
>
> BTW, sarcastic meaning above, we all develop together offcourse.
>

I completely agree and if you and other people working on a svn branch it would
be perfect, especially if we all can see the patches of what they do.
The system of work I think is very clear. Prepare a patch for a single
functionality
and submit it to the mailing list for review. If its approved we put
it into the trunk or
a special DBS branch for testing.

I would propose to not touch trunk for now, since it will be used to
build up 2.28. But if you want you can go ahead and create a branch of
trunk into branches and then work up on it from there.

Optimal would be if we can describe and plan the new functionalities
DBS should have on the sf.net wiki or here on the ML before we do
anything in the svn tree.

> some idea's here
>
> -- pre download source packages (handy if you have a slow connection)

I completely agree with this, pre downloading of sources is useful.

> -- build <package name>
> -- build all
> -- build <META file>
This already works iirc.

> -- build all
I dont get what you mean with this ?

> -- build signed package

Thats also a nice idea.

>
> rgds,
>
> Tyrael

Some thing which already exist in DBS trunk are Renatos script for
creating a config file, and Renatos python script for checking the
dependencies of gnome packages.

I have made some reordering of the house on redos.si so there you can
see a draft not working for now of DBS-2 structure in my view. See
this link:

http://dlg64.redos.si/trac/browser/dbs-2.0/trunk

If somebody want to continue to work on it, then check it out and lets
talk about it here on the ML.

Rgds
Saxa

------------------------------------------------------------------------------
Let Crystal Reports handle the reporting - Free Crystal Reports 2008 30-Day
trial. Simplify your report design, integration and deployment - and focus on
what you do best, core application coding. Discover what's new with
Crystal Reports now.  http://p.sf.net/sfu/bobj-july
_______________________________________________
Dropline-gnome-devel mailing list
Dropline-gnome-devel@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/dropline-gnome-devel

Re: Build system revamp.

by Sasa Ostrouska :: Rate this Message:

Reply to Author | View Threaded | Show Only this Message

On Tue, Sep 1, 2009 at 9:51 AM, shadowx<shadowx@...> wrote:
>
> I have some trouble opening :
> http://dlg64.redos.si/trac/browser/dbs-2.0/trunk
> Can u look if everthing is okay with it ....
Since I dont know whats going on with redos.si I propose you to check out the
sources by:

svn co svn://redos.si/dlg64/dbs-2.0/trunk dbs-2.0


>
> It will be my pleasure to work on the building system .. but i think that
> before starting any work
> we must talk about it ...share ideas , so I can get what's your view of the
> changes that must be made
> Maybe i must open a new thread on the ML , for ideas for the building
> system?
>
I think the best thing would be to create a wiki page, where people
can partecipate,
of course commenting it on the ML.

Rgds
Saxa

------------------------------------------------------------------------------
Let Crystal Reports handle the reporting - Free Crystal Reports 2008 30-Day
trial. Simplify your report design, integration and deployment - and focus on
what you do best, core application coding. Discover what's new with
Crystal Reports now.  http://p.sf.net/sfu/bobj-july
_______________________________________________
Dropline-gnome-devel mailing list
Dropline-gnome-devel@...
https://lists.sourceforge.net/lists/listinfo/dropline-gnome-devel

Re: Build system revamp.

by shadowx :: Rate this Message:

Reply to Author | View Threaded | Show Only this Message

Sasa Ostrouska wrote:
On Tue, Sep 1, 2009 at 9:51 AM, shadowx<shadowx@escom.bg> wrote:
>
> I have some trouble opening :
> http://dlg64.redos.si/trac/browser/dbs-2.0/trunk
> Can u look if everthing is okay with it ....
Since I dont know whats going on with redos.si I propose you to check out the
sources by:

svn co svn://redos.si/dlg64/dbs-2.0/trunk dbs-2.0
Dosnt work :(

root@anubis:/home# svn co svn://redos.si/dlg64/dbs-2.0/trunk dbs-2.0
svn: Network connection closed unexpectedly
< Prev | 1 - 2 | Next >